---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# AdminPostNotesReq

## Properties

<ParameterTypes parameters={[
  {
    "name": "resource_id",
    "type": "`string`",
    "description": "The ID of the resource which the Note relates to. For example, an order ID.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "resource_type",
    "type": "`string`",
    "description": "The type of resource which the Note relates to. For example, `order`.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "value",
    "type": "`string`",
    "description": "The content of the Note to create.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
